<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:fillViewport="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/logo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:scaleType="centerInside"
                android:layout_marginTop="@dimen/margin_50"
                android:padding="@dimen/margin_15"
                android:src="@drawable/nivesh"
                app:layout_constraintBottom_toTopOf="@+id/tlEmail"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlEmail"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_15"
                android:hint="@string/hintEmailMobile"
                android:padding="@dimen/margin_10"
                app:layout_constraintTop_toBottomOf="@+id/logo">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtEmail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlPassword"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_15"
                android:hint="@string/hintPassword"
                android:padding="@dimen/margin_10"
                app:layout_constraintTop_toBottomOf="@+id/tlEmail">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtPassword"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnLogin"
                app:cornerRadius="@dimen/margin_15"
                android:theme="@style/Theme.NormalLogin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_50"
                android:layout_marginTop="@dimen/margin_20"
                android:layout_marginEnd="@dimen/margin_50"
                android:text="@string/login"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tlPassword" />

            <TextView
                android:id="@+id/txtForgotPassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_10"
                android:padding="@dimen/margin_10"
                android:text="@string/forgotPassword"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/btnLogin" />


            <View
                android:id="@+id/viewOne"
                android:layout_width="match_parent"
                android:layout_marginStart="@dimen/margin_80"
                android:layout_marginEnd="@dimen/margin_80"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/margin_15"
                android:background="@color/greyColor2"
                android:text="@string/forgotPassword"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/txtForgotPassword" />

            <TextView
                android:id="@+id/txtOR"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:background="@color/white"
                android:paddingStart="@dimen/margin_10"
                android:paddingEnd="@dimen/margin_10"
                android:text="@string/or"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/txtForgotPassword" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnLoginWithGoogle"
                android:theme="@style/Theme.GoogleLogin"
                app:cornerRadius="@dimen/margin_15"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_50"
                android:layout_marginTop="@dimen/margin_20"
                android:layout_marginEnd="@dimen/margin_50"
                android:text="@string/loginWithGoogle"
                android:textAllCaps="false"
                android:textColor="@color/red"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/txtOR" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/margin_300"
                android:layout_marginTop="@dimen/margin_20"
                android:background="@color/greyColor5"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/btnLoginWithGoogle">

                <TextView
                    android:id="@+id/txtAccount"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_15"
                    android:padding="@dimen/margin_10"
                    android:text="@string/dontHaveAnAccount"
                    android:textColor="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnRegister"
                    android:theme="@style/Theme.Register"
                    app:cornerRadius="@dimen/margin_15"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_10"
                    android:layout_marginStart="@dimen/margin_50"
                    android:layout_marginEnd="@dimen/margin_50"
                    android:text="@string/register"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/txtAccount" />

                <TextView
                    android:id="@+id/txtDummy"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_10"
                    android:padding="@dimen/margin_10"
                    android:text="@string/byProceeding"
                    android:textColor="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/btnRegister" />

                <TextView
                    android:id="@+id/txtTermsCondition"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_10"
                    android:text="@string/tcText"
                    android:textColor="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/txtDummy" />

                <View
                    android:id="@+id/view1"
                    android:layout_width="@dimen/margin_120"
                    android:layout_height="1dp"
                    android:background="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/txtTermsCondition" />

                <TextView
                    android:id="@+id/txtVersion"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_30"
                    android:text="2.44.15"
                    android:textColor="@color/white"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/view1" />


            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>